<?php
// ----------------------------------------------------------------------
// POST-NUKE Content Management System
// Copyright (C) 2001 by the Post-Nuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------

/**
 * initialise block
 */
function time_temperature_time_temperatureblock_init()
{
}

/**
 * get information on block
 */
function time_temperature_time_temperatureblock_info()
{
    // Values
    return array('text_type' => 'Time Temperature',
                 'module' => 'Time Temperature',
                 'text_type_long' => 'Current Conditions',
                 'allow_multiple' => false,
                 'form_content' => false,
                 'form_refresh' => false,
                 'show_preview' => true);
}

/**
 * display block
 */
function time_temperature_time_temperatureblock_display($blockinfo)
{
  // Get variables from content block
  $vars = pnBlockVarsFromContent($blockinfo['content']);


  // Load API.  All of the actual work for obtaining information on the items
  // is done within the API, so we need to load that in before we can do
  // anything.  If the API fails to load an appropriate error message is
  // posted and the function returns
  if (!pnModAPILoad('Time_Temperature', 'user')) {
    $output = new pnHTML();
    $output->BoldText("Weather Not Available");

    $blockinfo['content'] = $output->GetOutput();	
    return themesideblock($blockinfo);
  }

  // Create output object
  $output = new pnHTML();

  // get zipcode
  $userid = pnUserGetVar('uid');

  $prefs = pnModAPIFunc('time_temperature',
                        'user',
                        'getprefs',
                        array('userid' => $userid));
  $zipcode = $prefs[zipcode];

if (!isset($zipcode) || !strcmp($zipcode, "")) {
	$blockinfo['content'] = "<p ALIGN=CENTER>Click <a HREF=user.php>'My Account'</a> to specify the ZipCode you want to monitor weather for.";
} else {
	$blockinfo['content'] = <<<END
<a href="http://www.timetemperature.com/cgi-bin/getttw/getttw.cgi?
theme=default&user=default&forecast=hourly&
&country=us&zipcode=$zipcode&icao=KBKF">
<img src="http://www.timetemperature.com/cgi-bin/getttw/hwimage.cgi?
theme=default&user=default&forecast=hourly
&zipcode=$zipcode&icao=KBKF&bgc=&tc=&t=&metric=0&ampdisplay=" border="0" width="175" height="90"></a>
END;
	}

  // Populate block info and pass to theme
  return themesideblock($blockinfo);
}


/**
 * modify block settings
 */
function time_temperature_time_temperatureblock_modify($blockinfo)
{
  // Create output object
  $output = new pnHTML();

  // zipcode info
  $output->Text("Zip Code Info Here");

  // Return output
  return $output->GetOutput();
}

/**
 * update block settings
 */
function time_temperature_time_temperatureblock_update($blockinfo)
{
  $blockinfo['content'] = pnBlockVarsToContent($vars);
  
  return $blockinfo;
}

?>
