<?php
// ----------------------------------------------------------------------
// POST-NUKE Content Management System
// Copyright (C) 2002 by the PostNuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WIthOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------

/**
 * the main user function
 * This function is the default function, and is called whenever the module is
 * initiated without defining arguments.  As such it can be used for a number
 * of things, but most commonly it either just shows the module menu and
 * returns or calls whatever the module designer feels should be the default
 * function (often this is the view() function)
 */
function time_temperature_user_main()
{
    // Return the output that has been generated by this function
    return $output->GetOutput();
}

/**
 * output for the displaying of current saved settings / preferences
 */
function time_temperature_user_curprefs() {

  // Create output object - this object will store all of our output so that
  // we can return it easily when required
  $output = new pnHTML();

  // Load API.  All of the actual work for obtaining information on the items
  // is done within the API, so we need to load that in before we can do
  // anything.  If the API fails to load an appropriate error message is
  // posted and the function returns
  if (!pnModAPILoad('Time_Temperature', 'user')) {
    return "error in curprefs";
  }

  // The API function is called.  The arguments to the function are passed in
  // as their own arguments array
  $prefs = pnModAPIFunc('time_temperature',
                        'user',
                        'getprefs',
                        array('userid' => $uid));


$output->Text("curprefs");
/*
  $output->TableStart('', array(), 0, '');

  $output->TableRowStart('left');

  $output->TableColStart(3, 'left');
  $output->BoldText(_CURSETT);
  $output->TableColEnd();

  $output->TableRowEnd();
  $output->TableRowStart('left');

  $output->TableColStart();
  $output->SetInputMode(_PNH_VERBATIMINPUT);
  $output->Text("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
  $output->SetInputMode(_PNH_PARSEINPUT);
  $output->TableColEnd();
  $output->TableColStart(1, 'left');
  $output->BoldText(_WREGION.":");
  $output->SetInputMode(_PNH_VERBATIMINPUT);
  $output->Text("&nbsp;");
  $output->SetInputMode(_PNH_PARSEINPUT);  
  $output->TableColEnd();
  $output->TableColStart(1, 'left');
  $output->Text("$fullinfo[region]");
  $output->TableColEnd();

  $output->TableRowEnd();
  $output->TableRowStart('left');

  $output->TableColStart();
  $output->SetInputMode(_PNH_VERBATIMINPUT);
  $output->Text("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
  $output->SetInputMode(_PNH_PARSEINPUT);
  $output->TableColEnd();
  $output->TableColStart(1, 'left');
  $output->BoldText(_WCOUNTRY.":");
  $output->SetInputMode(_PNH_VERBATIMINPUT);
  $output->Text("&nbsp;");
  $output->SetInputMode(_PNH_PARSEINPUT);  
  $output->TableColEnd();
  $output->TableColStart(1, 'left');
  $output->Text("$fullinfo[country]");
  $output->TableColEnd();

  $output->TableRowEnd();
  $output->TableRowStart('left');

  $output->TableColStart();
  $output->SetInputMode(_PNH_VERBATIMINPUT);
  $output->Text("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
  $output->SetInputMode(_PNH_PARSEINPUT);
  $output->TableColEnd();
  $output->TableColStart(1, 'left');
  $output->BoldText(_WSUBDIV.":");
  $output->SetInputMode(_PNH_VERBATIMINPUT);
  $output->Text("&nbsp;");
  $output->SetInputMode(_PNH_PARSEINPUT);  
  $output->TableColEnd();
  $output->TableColStart(1, 'left');
  $output->Text("$fullinfo[subdiv]");
  $output->TableColEnd();

  $output->TableRowEnd();
  $output->TableRowStart('left');

  $output->TableColStart();
  $output->SetInputMode(_PNH_VERBATIMINPUT);
  $output->Text("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
  $output->SetInputMode(_PNH_PARSEINPUT);
  $output->TableColEnd();
  $output->TableColStart(1, 'left');
  $output->BoldText(_WCITY.":");
  $output->SetInputMode(_PNH_VERBATIMINPUT);
  $output->Text("&nbsp;");
  $output->SetInputMode(_PNH_PARSEINPUT);  
  $output->TableColEnd();
  $output->TableColStart(1, 'left');
  $output->Text("$fullinfo[city]");
  $output->TableColEnd();

  $output->TableRowEnd();
  $output->TableRowStart('left');

  $output->TableColStart();
  $output->SetInputMode(_PNH_VERBATIMINPUT);
  $output->Text("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
  $output->SetInputMode(_PNH_PARSEINPUT);
  $output->TableColEnd();
  $output->TableColStart(1, 'left');
  $output->BoldText(_WTEMP.":");
  $output->SetInputMode(_PNH_VERBATIMINPUT);
  $output->Text("&nbsp;");
  $output->SetInputMode(_PNH_PARSEINPUT);
  $output->TableColEnd();
  $output->TableColStart(1, 'left');
  $output->SetInputMode(_PNH_VERBATIMINPUT);
  $output->Text(pnModAPIFunc('Weather',
                             'user',
                             'convtpc',
                             array('rawtpc' => $prefs['tpc'])));
  $output->SetInputMode(_PNH_PARSEINPUT);
  $output->TableColEnd();

  $output->TableRowEnd();
  $output->TableRowStart('left');

  $output->TableColStart();
  $output->SetInputMode(_PNH_VERBATIMINPUT);
  $output->Text("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
  $output->SetInputMode(_PNH_PARSEINPUT);
  $output->TableColEnd();
  $output->TableColStart(1, 'left');
  $output->BoldText(_WINDSPD.":");
  $output->SetInputMode(_PNH_VERBATIMINPUT);
  $output->Text("&nbsp;");
  $output->SetInputMode(_PNH_PARSEINPUT);  
  $output->TableColEnd();
  $output->TableColStart(1, 'left');
  $output->Text(pnModAPIFunc('Weather',
                             'user',
                             'convtps',
                             array('rawtps' => $prefs['tps'])));
  $output->TableColEnd();

  $output->TableRowEnd();

  $output->TableEnd();
*/
  return $output->GetOutput();

}

/**
 * this is the work-horse front-end for changing user preferences
 */
function time_temperature_user_change($args) {
  
  // Create output object - this object will store all of our output so that
  // we can return it easily when required
  $output = new pnHTML();

  // Get parameters from whatever input we need.  All arguments to this
  // function should be obtained from pnVarCleanFromInput(), getting them
  // from other places such as the environment is not allowed, as that makes
  // assumptions that will not hold in future versions of PostNuke.
  list($zipcode, $userid)
       = pnVarCleanFromInput('zipcode', 'userid');
  
  // User functions of this type can be called by other modules.  If this
  // happens then the calling module will be able to pass in arguments to
  // this function through the $args parameter.  Hence we extract these
  // arguments *after* we have obtained any form-based input through
  // pnVarCleanFromInput().
  extract($args);

  // Load API.  All of the actual work for obtaining information on the items
  // is done within the API, so we need to load that in before we can do
  // anything.  If the API fails to load an appropriate error message is
  // posted and the function returns
  if (!pnModAPILoad('Time_Temperature', 'user')) {
    return;
  }
      $update = pnModAPIFunc('time_temperature',
                             'user',
                             'savesettings',
                             array('userid' => $userid,
                                   'zipcode' => $zipcode));

      if (!$update) {
        $output->BoldText(pnSessionGetVar('errormsg'));
      } else {
        // new current preferences
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        $output->Text("<p><b>Your ZipCode has been changed.</b>");
        $output->Text(pnModFunc('time_temperature',
                                'user',
                                'chgprefs'));
        $output->SetInputMode(_PNH_PARSEINPUT);
      }
    
  return $output->GetOutput();

}

/**
 * allow users to change their preferences
 */
function time_temperature_user_chgprefs() {
  if (!pnModAPILoad('Time_Temperature', 'user')) {
    return "error in curprefs";
  }

  $userid = pnUserGetVar('uid');

  // get current values
  $output = new pnHTML();
  $prefs = pnModAPIFunc('time_temperature',
                             'user',
                             'getprefs',
                             array('userid' => $userid));

  // Create output object - this object will store all of our output so that
  // we can return it easily when required
  $output->SetInputMode(_PNH_VERBATIMINPUT);
  $output->Text("<p>");
  $output->SetInputMode(_PNH_PARSEINPUT);

  $output->FormStart(pnModURL('time_temperature',
                                  'user',
                                  'change'));
  $output->FormHidden('userid', $userid);
  $output->Text("Please enter your ZipCode so we can retrieve your local weather forecast:");

  $output->SetInputMode(_PNH_VERBATIMINPUT);
  $output->Text("<p>");
  $output->SetInputMode(_PNH_PARSEINPUT);

  $output->FormText("zipcode", $prefs[zipcode]);

  $output->SetInputMode(_PNH_VERBATIMINPUT);
  $output->Text("<p>");
  $output->SetInputMode(_PNH_PARSEINPUT);

  $output->FormSubmit("OK");
  $output->FormEnd();

  return $output->GetOutput();
}

?>
